Bug 141438 - kernel recompile needed to play DVD on Dell Latitude D400
kernel recompile needed to play DVD on Dell Latitude D400
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-11-30 22:44 EST by John Price
Modified: 2015-01-04 17:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-14 14:01:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of dmesg (12.12 KB, text/plain)
2004-12-01 09:35 EST, John Price
no flags Details

  None (edit)
Description John Price 2004-11-30 22:44:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922 Galeon/1.3.18

Description of problem:
I have noticed for some time (at least since the RH9 kernels, when I
got this laptop) that I cannot use my external DVD to play DVDs
without recompiling the kernel.  It will read and write CDs just fine.

After some searching on Google and messages passed back and forth with
several people, I found that the DVD drive was not reporting itself
correctly.  The problem is "fixed" by modifying the file
drivers/cdrom/cdrom.c as follows (this is typed in; for some reason
point&click editing is not working here):

#diff drivers/cdrom/cdrom.c drivers/cdrom/cdrom.c~
<               //              if (!CDROM_CAN(CDC_DVD))
<               //                      return -ENOSYS;
>               if (!CDROM_CAN(CDC_DVD))
>                       return -ENOSYS;
<               //              if (!CDROM_CAN(CDC_DVD))
<               //                      return -ENOSYS;
>               if (!CDROM_CAN(CDC_DVD))
>                       return -ENOSYS;

Is there perhaps a better way to ask the external DVD drive whether it
is in fact a DVD drive, so that I don't have to build a new custom
kernel every time I update the kernel?


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install new kernel.
2. Try to play DVD, with ogle, xine, mplayer, or any other player.
3. Rebuild kernel with above change.
4. Try to play DVD with new kernel.

Actual Results:  DVD would not play with stock kernel.  DVD would play
with rebuilt kernel.

Expected Results:  DVD should play with stock kernel.

Additional info:
Comment 1 Alan Cox 2004-12-01 08:12:11 EST
Please provide the vendor/model information from /proc [the exact
strings]. I can then try and find out what is going on and also
whether a check recognizing that drive is needed.
Comment 2 John Price 2004-12-01 08:26:00 EST
Assuming you're after the strings from /proc/cpuinfo (I should warn
you that we are really pushing the envelope of my knowledge here; I'll
do what I can, but bear with me a bit, please), they are:

vendor_id: GenuineIntel
model name: Intel(R) Pentium(R) M processor 1700MHz

Is that what you're after?
Comment 3 Alan Cox 2004-12-01 09:29:04 EST
Not quite but not to worry. If you can attach the results of running
"dmesg" after boot that will include the pieces I do need.
Comment 4 John Price 2004-12-01 09:35:38 EST
Created attachment 107714 [details]
Output of dmesg
Comment 5 John Price 2004-12-14 12:39:17 EST
I recently upgraded my distribution to Fedora Core 3, and the problem
has gone away.  I can now play a DVD with no problem, without having
to rebuild the kernel.

I am inclined to call this fixed.

Note You need to log in before you can comment on or make changes to this bug.